Bug 433619 - yum has excessive memory consumption
yum has excessive memory consumption
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-20 07:13 EST by James
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-21 10:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2008-02-20 07:13:12 EST
Description of problem:
yum (and its derivatives) consumes a lot of memory in operation, far more than
I'd expect given what it does. This causes an annoying flurry of swapping if
trying to do anything else on, say, a reasonable machine with 512 MiB RAM.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install or update something with yum.
Actual results:
Shown are peak resident/virtual in MiB. livna (RPMFusion), fedora,
adobe-linux-i386 and updates repos activated.

Example 1: yum install hexedit, 132/190
Example 2: yum update (14 packages to update), 177/221

By comparison, this current Firefox session (4 tabs) is running 70/224, nautilus

Memory usage seems to peak during the actual transaction stage.

Expected results:
A lot less memory allocated! Surely it can't be using all 130-odd MiB just to
install hexedit. yum update should be relatively unobtrusive. Other comparable
package trackers don't seem to have such hefty requirements, and are faster as
well; yum's desire for memory causes a lot of swapping that doesn't help this.
Comment 1 Seth Vidal 2008-02-21 10:57:23 EST
yum 3.2.10 and beyond have done a good bit to decrease yum's memory requirements.

Since there's nothing really here to 'fix' other than to make it better I'm
going to close this upstream.
Comment 2 James 2008-02-21 11:32:58 EST
OK, thanks for the info. I've grabbed yum-3.2.11-1.fc9 from development and I'll
see how that goes.

Note You need to log in before you can comment on or make changes to this bug.